Document collaboration

Resolve a canonical document from its typed target

GET
/v1/documents

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Query Parameters

target?string

Exact document locator. Identity and permissions are resolved on the server.

discussionPlanId?string

Plan using this shared context source.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/documents"
{  "document": {    "id": "string",    "kind": "string",    "target": {      "kind": "plan-item",      "itemId": "f11b669d-7201-4c21-88af-d85092f0c005"    },    "title": "string",    "canonicalUrl": "string",    "revision": "string",    "path": "string",    "sourceDocumentId": "string",    "sourceRevision": "string",    "applyMode": "native",    "capabilities": {      "canComment": true,      "canSuggest": true,      "canMaintain": true,      "canUseAgent": true,      "needsDiscussionPlan": true    },    "discussionPlanId": "string",    "ownerUserIds": [      "string"    ],    "ownerNames": [      "string"    ]  },  "sourceText": "string",  "viewer": {    "userId": "string",    "organizationId": "string"  }}